Loading...
Searching...
No Matches
fastjet::JetMedianBackgroundEstimator::Extras Class Reference

an internal class to hold results of the calculation that are to be assigned to the "extras" part of a BackgroundEstimate More...

`#include <fastjet/tools/JetMedianBackgroundEstimator.hh>`

Inheritance diagram for fastjet::JetMedianBackgroundEstimator::Extras:
[legend]
Collaboration diagram for fastjet::JetMedianBackgroundEstimator::Extras:
[legend]

## Public Member Functions

PseudoJet | reference_jet () const
| returns the current reference jet
unsigned int | n_jets_used () const
| returns the number of jets used to estimate the background
double | n_empty_jets () const
| returns the number of empty (pure-ghost) jets
double | empty_area () const
| returns the empty (pure-ghost/unclustered) area!
void | set_reference_jet (const PseudoJet &reference_jet_in)
void | set_n_jets_used (int n_jets_used_in)
void | set_n_empty_jets (double n_empty_jets_in)
void | set_empty_area (double empty_area_in)

## Protected Attributes

PseudoJet | _reference_jet
| current reference jet
unsigned int | _n_jets_used
| number of jets used to estimate the background
double | _n_empty_jets
| number of empty (pure-ghost) jets
double | _empty_area
| the empty (pure-ghost/unclustered) area!

## Detailed Description

an internal class to hold results of the calculation that are to be assigned to the "extras" part of a BackgroundEstimate

Definition at line 396 of file JetMedianBackgroundEstimator.hh.

## Constructor & Destructor Documentation

## Extras()

fastjet::JetMedianBackgroundEstimator::Extras::Extras | ( |  | ) |

inline

Definition at line 398 of file JetMedianBackgroundEstimator.hh.

## Member Function Documentation

## reference_jet()

PseudoJet fastjet::JetMedianBackgroundEstimator::Extras::reference_jet | ( |  | ) | const

inline

returns the current reference jet

Definition at line 403 of file JetMedianBackgroundEstimator.hh.

## n_jets_used()

unsigned int fastjet::JetMedianBackgroundEstimator::Extras::n_jets_used | ( |  | ) | const

inline

returns the number of jets used to estimate the background

Definition at line 406 of file JetMedianBackgroundEstimator.hh.

## n_empty_jets()

double fastjet::JetMedianBackgroundEstimator::Extras::n_empty_jets | ( |  | ) | const

inline

returns the number of empty (pure-ghost) jets

Definition at line 409 of file JetMedianBackgroundEstimator.hh.

## empty_area()

double fastjet::JetMedianBackgroundEstimator::Extras::empty_area | ( |  | ) | const

inline

returns the empty (pure-ghost/unclustered) area!

Definition at line 412 of file JetMedianBackgroundEstimator.hh.

## set_reference_jet()

void fastjet::JetMedianBackgroundEstimator::Extras::set_reference_jet | ( | const PseudoJet & | reference_jet_in | ) |

inline

Definition at line 414 of file JetMedianBackgroundEstimator.hh.

## set_n_jets_used()

void fastjet::JetMedianBackgroundEstimator::Extras::set_n_jets_used | ( | int | n_jets_used_in | ) |

inline

Definition at line 417 of file JetMedianBackgroundEstimator.hh.

## set_n_empty_jets()

void fastjet::JetMedianBackgroundEstimator::Extras::set_n_empty_jets | ( | double | n_empty_jets_in | ) |

inline

Definition at line 418 of file JetMedianBackgroundEstimator.hh.

## set_empty_area()

void fastjet::JetMedianBackgroundEstimator::Extras::set_empty_area | ( | double | empty_area_in | ) |

inline

Definition at line 419 of file JetMedianBackgroundEstimator.hh.

## Member Data Documentation

## _reference_jet

PseudoJet fastjet::JetMedianBackgroundEstimator::Extras::_reference_jet

protected

current reference jet

Definition at line 423 of file JetMedianBackgroundEstimator.hh.

## _n_jets_used

unsigned int fastjet::JetMedianBackgroundEstimator::Extras::_n_jets_used

protected

number of jets used to estimate the background

Definition at line 424 of file JetMedianBackgroundEstimator.hh.

## _n_empty_jets

double fastjet::JetMedianBackgroundEstimator::Extras::_n_empty_jets

protected

number of empty (pure-ghost) jets

Definition at line 425 of file JetMedianBackgroundEstimator.hh.

## _empty_area

double fastjet::JetMedianBackgroundEstimator::Extras::_empty_area

protected

the empty (pure-ghost/unclustered) area!

Definition at line 426 of file JetMedianBackgroundEstimator.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/JetMedianBackgroundEstimator.hh